Skip to main content
`Ctrl`+`K`

# DMLabelDuplicate

Duplicates a `DMLabel`

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelDuplicate(DMLabel label, DMLabel *labelnew)

Collective

## Input Parameter

- label - The `DMLabel`

## Output Parameter

- labelnew - new label

## See Also

`DMLabel`, `DM`, `DMLabelCreate()`, `DMLabelDestroy()`

## Level

intermediate

## Location

src/dm/label/dmlabel.c

## Examples

src/dm/label/tutorials/ex1.c

## Implementations

DMLabelDuplicate_Ephemeral() in src/dm/label/impls/ephemeral/dmlabeleph.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages